
From: Christophe Saout <christophe@saout.de>

- acpi_pci_link_get_irq() returns 0 on error, not -ENODEV.

- Fix mpparse.c tpyo.


 arch/i386/kernel/mpparse.c |    2 +-
 drivers/acpi/pci_link.c    |    5 ++---
 2 files changed, 3 insertions(+), 4 deletions(-)

diff -puN drivers/acpi/pci_link.c~acpi-pci-link-fix drivers/acpi/pci_link.c
--- 25/drivers/acpi/pci_link.c~acpi-pci-link-fix	2003-08-26 18:00:19.000000000 -0700
+++ 25-akpm/drivers/acpi/pci_link.c	2003-08-26 18:00:38.000000000 -0700
@@ -516,9 +516,8 @@ acpi_pci_link_get_irq (
 		return_VALUE(0);
 	}
 
-	if (acpi_pci_link_allocate(link)) {
-		return -ENODEV;
-	}
+	if (acpi_pci_link_allocate(link))
+		return_VALUE(0);
 	   
 	if (!link->irq.active) {
 		ACPI_DEBUG_PRINT((ACPI_DB_ERROR, "Link disabled\n"));
diff -puN arch/i386/kernel/mpparse.c~acpi-pci-link-fix arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~acpi-pci-link-fix	2003-08-26 18:00:45.000000000 -0700
+++ 25-akpm/arch/i386/kernel/mpparse.c	2003-08-26 18:00:56.000000000 -0700
@@ -850,7 +850,7 @@ static int __init mp_find_ioapic (
 			return i;
 	}
 
-	printk(KERN_ERR "ERROR: Unable to locate IOAPIC for IRQ %d/n", irq);
+	printk(KERN_ERR "ERROR: Unable to locate IOAPIC for IRQ %d\n", irq);
 
 	return -1;
 }

_
